### Property

# WebKit Settings:webrtc-udp-ports-range

since: 2.48

#### Declaration

    property webrtc-udp-ports-range: utf8 [ read, write, construct ]

#### Description [src]

Allow customization of the WebRTC UDP ports range.

In some constrained environments where a firewall blocks UDP network traffic excepted on a specific port range, this settings can be used to give hints to the WebRTC backend regarding which ports to allocate. The format is min-port:max-port, so for instance 20000:30000. The default empty string value means the OS will use no hints from the WebRTC backend. Using 0 for one of the values is allowed and means the value is unspecified.

Type:`gchar*`

Available since: 2.48

Default value | NULL
Getter method | `webkit_settings_get_webrtc_udp_ports_range()`
Setter method | `webkit_settings_set_webrtc_udp_ports_range()`

#### Flags

Readable | yes
Writable | yes
Construct | yes
Construct only | no